/**
 * Mega164P LCD Test
 */
 
#include <avr/io.h>
#include <util/delay.h>

#define sbi(data,bit)			(data |= (1<<bit))	// Set Bit
#define cbi(data,bit) 			(data &= ~(1<<bit))	// Clear Bit
#define gbi(data,bit)			(data & (1<<bit))	// Get Bit
#define tbi(data,bit)			(data ^= (1<<bit))	// Toggle Bit

int main (void) {
	DDRB = 0xFF;

	while (1) {
		if (gbi(PORTB,PB2)) {
			cbi(PORTB,PB2);
		}
		else {
			sbi(PORTB,PB2);
		}
	}
	return 0;
}
