/* RF Protocol */
#define SENTINEL_RF_TX_DISCOVER		0x00
#define SENTINEL_RF_RX_DISCOVER		0x01

/* UART Protocol */
#define SENTINEL_UART_RX_DISCOVER_REQUEST		0x00
#define SENTINEL_UART_TX_DISCOVER_CONFIRM		0x00

#define SENTINEL_UART_RX_DATA_TX_REQUEST		0x01
#define SENTINEL_UART_TX_DATA_TX_CONFIRM		0x01

#define SENTINEL_UART_TX_ZIGBEE_STATE			0x20
#define SENTINEL_UART_TX_ZIGBEE_IRQ_STATUS		0x21
#define SENTINEL_UART_TX_ZIGBEE_TRAC_STATUS		0x22

#define SENTINEL_UART_TX_ZIGBEE_PHY_DATA		0x30
#define SENTINEL_UART_TX_ZIGBEE_PHY_LQI			0x31

#define SENTINEL_UART_TX_ZIGBEE_MAC_DATA		0x40
#define SENTINEL_UART_TX_ZIGBEE_MAC_DEST_PAN_ID	0x41
#define SENTINEL_UART_TX_ZIGBEE_MAC_DEST_ADDR	0x42
#define SENTINEL_UART_TX_ZIGBEE_MAC_SRC_PAN_ID	0x43
#define SENTINEL_UART_TX_ZIGBEE_MAC_SRC_ADDR	0x44

#define SENTINEL_UART_TX_ZIGBEE_CCA_MODE		0x50
#define SENTINEL_UART_TX_ZIGBEE_CCA_ED_THRES	0x51
#define SENTINEL_UART_TX_ZIGBEE_CCA_VALUE		0x52

#define SENTINEL_UART_TX_ZIGBEE_PART_NUM		0xE0
#define SENTINEL_UART_TX_ZIGBEE_VER_NUM			0xE1
#define SENTINEL_UART_TX_ZIGBEE_MAN_ID_0		0xE2
#define SENTINEL_UART_TX_ZIGBEE_MAN_ID_1		0xE3

/* Includes */
#include <avr/io.h>			// Include AVR-GCC Mega644P specific I/O, register lib
#include <avr/interrupt.h>	// Include AVR-GCC ISR lib
#include <avr/sleep.h>		// Include AVR-GCC sleep lib
#include <avr/eeprom.h>		// Include AVR-GCC eeprom lib
#include <util/delay.h>		// Include AVR-GCC delay lib
#include <string.h>			// Include AVR-GCC string lib
#include <stdio.h>			// Include AVR-GCC stdio lib
#include "mcu.h"
#include "uart.h"			// Include user UART lib
#include "spi.h"			// Include user SPI lib
#include "zigbee.h"			// Include user Zigbee lib
#include "timer.h"			// Include user timer lib
#include "ext_int.h"		// Include user external interrupt lib
#include "util.h"			// Include user misc utility lib

/* Global Variables */
enum{MCU_STATUS_P_ON,
	MCU_STATUS_IDLE,
	MCU_STATUS_SLEEP,
	MCU_STATUS_WAKE,
	MCU_STATUS_TX_IDLE,
	MCU_STATUS_TX,
	MCU_STATUS_RX,
	MCU_STATUS_RX_SLEEP};
uint8_t mcu_status;

/*
void sentinel_uart_rx_parse(void) {
	switch(UDR0) {
		case 
	
	
	
	}
}
*/

/*
void sentinel_rf_rx_parse(uint8_t header) {
	switch(header) {
	
	
	}
}
*/
